package com.ar.drawing;

import android.app.Application;
import android.content.res.AssetManager;
import android.graphics.Typeface;

import com.ar.drawing.ob.DbManager;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class MyDraw extends Application {
    public static String Key_ViewDir = "pre_dir";
    public static String Key_ISMAIN = "ismain";
    public static String Key_Camera = "camera_data";

    public static String TAG = "=============";


    public static MyDraw app;

//    private String APPId ="h67505d35951dc";
//
//    private String AppKey ="a81d17e5cc10cd96a65fe75c0ffd15334";

    public static Typeface defaultFont;

    @Override
    public void onCreate() {
        super.onCreate();
        app = this;
        AssetManager assets = getAssets();
        defaultFont = Typeface.createFromAsset(assets, "font.ttf");

        DbManager.init(this);

    }

//    private void initSDk(){
//        ATSDK.checkIsEuTraffic(this, new NetTrafficeCallback() {
//
//            @Override
//            public void onResultCallback(boolean isEU) {
//                if (isEU && ATSDK.getGDPRDataLevel(MyApplication.this) == ATSDK.UNKNOWN) {
//                    ATSDK.showGdprAuth(MyApplication.this);
//                }
//
//            }
//
//            @Override
//            public void onErrorCallback(String errorMsg) {
//
//            }
//        });
//        ATSDK.init( this, APPId, AppKey);
//        ;
//    }

    public static String Class_Animals = "31_Animals";
    public static String Class_birds = "19_Birds";
    public static String Class_butterfly = "21_Butterfly";
    public static String Class_cafe = "38_Cafe";
    public static String Class_cartoons = "26_Cartoons";
    public static String Class_christmas = "25_Christmas";
    public static String Class_festivals = "22_Festivals";
    public static String Class_flowers = "23_Flowers";
    public static String Class_fruits = "39_Fruits";
    public static String Class_general = "15_General";

    public static String Class_mehndi = "12_Mehndi";
    public static String Class_nature = "23_Nature";
    public static String Class_properties = "19_Properties";
    public static String Class_rangoli = "25_Rangoli";
    public static String Class_sports = "28_Sports";
    public static String Class_vehicles = "32_Vehicles";

    public static List<String> getAllDir() {
        ArrayList<String> list = new ArrayList<>();
        list.add(Class_Animals);
        list.add(Class_birds);
        list.add(Class_butterfly);
        list.add(Class_cafe);
        list.add(Class_cartoons);
        list.add(Class_christmas);
        list.add(Class_festivals);
        list.add(Class_flowers);
        list.add(Class_fruits);
        list.add(Class_general);
        list.add(Class_mehndi);
        list.add(Class_nature);
        list.add(Class_properties);
        list.add(Class_rangoli);
        list.add(Class_sports);
        list.add(Class_vehicles);
        Collections.shuffle(list);
        return list;


    }
}
